# Class Session

#### Hierarchy

- Session

- Defined in session.ts:12

#####
Index

### Constructors

constructor

### Properties

crypto
fs?
storage
type
username

### Methods

destroy

## Constructors

### constructor

- new Session(props: {
  crypto: Crypto.Implementation;
  fs?: FileSystem;
  storage: Storage.Implementation;
  type: string;
  username: string;
  }): Session

- #### Parameters

  - ##### props: {
    crypto: Crypto.Implementation;
    fs?: FileSystem;
    storage: Storage.Implementation;
    type: string;
    username: string;
    }

    - ##### crypto: Crypto.Implementation

    - ##### `Optional` fs?: FileSystem

    - ##### storage: Storage.Implementation

    - ##### type: string

    - ##### username: string

  #### Returns Session

  - Defined in session.ts:20

## Properties

### crypto

crypto: Crypto.Implementation

- Defined in session.ts:14

### `Optional` fs

fs?: FileSystem

- Defined in session.ts:15

### storage

storage: Storage.Implementation

- Defined in session.ts:16

### type

type: string

- Defined in session.ts:17

### username

username: string

- Defined in session.ts:18

## Methods

### destroy

- destroy(): Promise<void>

- #### Returns Promise<void>

  - Defined in session.ts:35

Generated using TypeDoc